"""drop course_id from participations

Revision ID: b00d9ce2db6f
Revises: 97984d3b4bdd
Create Date: 2017-02-02 12:53:37.151363

"""

# revision identifiers, used by Alembic.
revision = 'b00d9ce2db6f'
down_revision = '97984d3b4bdd'

from alembic import op
import sqlalchemy as sa


INSERTS = """"""
DELETES = """"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint(u'participations_course_id_fkey', 'participations', type_='foreignkey')
    op.drop_column('participations', 'course_id')
    ### end Alembic commands ###
    iter_statements(INSERTS)


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.add_column('participations', sa.Column('course_id', sa.INTEGER(), autoincrement=False, nullable=True))
    op.create_foreign_key(u'participations_course_id_fkey', 'participations', 'eccourses', ['course_id'], ['id'])
    ### end Alembic commands ###
    iter_statements(DELETES)
