# -*- coding: utf8 -*-
# author: Ludwig Reiter

from sqlalchemy import event
from euhu.esf import to_esf
from euhu.programs.ec import to_bmas, validate
from efa.model.participant import Participant, \
    generate_determine_reportable_function,listener_adapter
from ringo_bmasreport.reports.durchfuehrungsbericht import (
    indicators, recipe
)


program = "ec"
indicators['RI'].append(('C1.2',u'Teilnehmer/-innen, die erfolgreich eine Qualifizierung zur/m Elternbegleiter/-in abgeschlossen haben (C1.2)'))

def derive_indicators(values):
    return to_esf(to_bmas(values)).esf


td_update_listener = listener_adapter(generate_determine_reportable_function(
        derive_indicators,
        recipe,
        validate,
        program))


event.listen(Participant, 'after_update', td_update_listener)
